Skip to main content
`Ctrl`+`K`

# PetscLikely

Hints the compiler that the given condition is usually true

## Synopsis

    #include <petscmacros.h>
    bool PetscLikely(bool cond)

Not Collective; No Fortran Support

## Input Parameter

- cond - Boolean expression

## Note

This returns the same truth value, it is only a hint to compilers that the result of cond is likely to be true.

## Example usage

      if (PetscLikely(cond)) {
        foo(); // hot path
      } else {
        bar(); // cold path
      }

## See Also

`PetscUnlikely()`, `PetscDefined()`, `PetscHasAttribute()`, `PETSC_ATTRIBUTE_COLD`

## Level

advanced

## Location

include/petscmacros.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages